geos::algorithm::construct::IndexedPointInPolygonsLocator Class Reference

Determines the location of a point in the polygonal elements of a geometry. More...

`#include <IndexedPointInPolygonsLocator.h>`

## Public Member Functions

| IndexedPointInPolygonsLocator (const Geometry &geom)
| Creates an instance to locate a point in polygonal elements.
Location | locate (const CoordinateXY *p)
| Determines the Location of a point in the polygonal elements of a Geometry.

## Detailed Description

Determines the location of a point in the polygonal elements of a geometry.

Uses spatial indexing to provide efficient performance.

Author
  Martin Davis

## Constructor & Destructor Documentation

## IndexedPointInPolygonsLocator()

geos::algorithm::construct::IndexedPointInPolygonsLocator::IndexedPointInPolygonsLocator | ( | const Geometry & | geom | ) |

Creates an instance to locate a point in polygonal elements.

Parameters

  geom | the geometry to locate in

Referenced by locate().

## Member Function Documentation

## locate()

Location geos::algorithm::construct::IndexedPointInPolygonsLocator::locate | ( | const CoordinateXY * | p | ) |

Determines the Location of a point in the polygonal elements of a Geometry.

Parameters

  p | the point to test

Returns
  the location of the point in the geometry

References IndexedPointInPolygonsLocator().

The documentation for this class was generated from the following file:

- IndexedPointInPolygonsLocator.h